Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006121TestLinkBug Tracking System - TRAC Integrationpublic2013-12-31 13:532014-04-25 17:39
ReporterRvdP2012 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006121: isResolved property not set for TRAC
DescriptionWhen retrieving the issue from TRAC through XMLRPC, the status is not used to determine whether the issue is resolved. Because of this, the number of solved issues is not counted correctly in the reports.
Steps To ReproduceUse trac as issue management system and check with various statuses.
Additional InformationAttached is a modified tracxmlrpcInterface.class.php which fixes this issue. It counts "resolved", "verified" and "closed" as being resolved issues.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files? file icon tracxmlrpcInterface.class.php [^] (8,479 bytes) 2013-12-31 13:53

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020262)
fman (administrator)
2014-01-01 18:49

Thanks
https://gitorious.org/testlink-ga/testlink-code/commit/6355eaf66516846273cada80b83d4a45f393d4b1 [^]
(0020862)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-31 13:53 RvdP2012 New Issue
2013-12-31 13:53 RvdP2012 File Added: tracxmlrpcInterface.class.php
2014-01-01 18:49 fman QA Team - Task Workflow Status => TBD
2014-01-01 18:49 fman Note Added: 0020262
2014-01-01 18:49 fman Status new => resolved
2014-01-01 18:49 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-01-01 18:49 fman Resolution open => fixed
2014-01-01 18:49 fman Assigned To => fman
2014-01-01 18:50 fman Relationship added child of 0006048
2014-04-25 17:39 fman Note Added: 0020862
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker